Jump to content

Will this work with 1.5.5


MikeSinn
 Share

Recommended Posts

I'm considering taking the plunge and just buying this without more detail (I'd spend more on a lunch) but would like to know if it will run on Release 1.5.5? Version 1.5.6 ran so badly on my of, I had to roll back. Anyone in the same boat and try this campaign?

 

I can't believe ED released this with such little information. Granted, I appreciate the continued attention to the Hog but am just surprised at the lack of fanfare:huh:

Link to comment
Share on other sites

I doubt it, since it was released with the 1.5.6 update.

ASUS ROG Maximus VIII Hero, i7-6700K, Noctua NH-D14 Cooler, Crucial 32GB DDR4 2133, Samsung 950 Pro NVMe 256GB, Samsung EVO 250GB & 500GB SSD, 2TB Caviar Black, Zotac GTX 1080 AMP! Extreme 8GB, Corsair HX1000i, Phillips BDM4065UC 40" 4k monitor, VX2258 TouchScreen, TIR 5 w/ProClip, TM Warthog, VKB Gladiator Pro, Saitek X56, et. al., MFG Crosswind Pedals #1199, VolairSim Pit, Rift CV1 :thumbup:

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...